<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('meta_translations', function (Blueprint $table) {
            $table->id();
            $table->foreignId('meta_id')->constrained('metas')->onDelete('cascade');
            $table->string('locale', 2)->index();
            $table->string('title')->nullable();
            $table->text('description')->nullable();
            $table->text('og_title')->nullable();
            $table->text('keywords')->nullable();
            $table->text('footer')->nullable();
            $table->text('web_name')->nullable();
            $table->text('rights')->nullable();
            $table->text('term_condition')->nullable();
            $table->text('privacy_policy')->nullable();
            $table->text('location')->nullable();
            $table->unique(['meta_id', 'locale']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('meta_translations');
    }
};
